SOA 11g: Unable to Login to Worklist Application After Upgrading from 11.1.1.3.0 to 11.1.1.4.0. (Patch 11060960) (Doc ID 1296181.1)

Last updated on OCTOBER 18, 2016

Applies to:

Oracle SOA Platform - Version 11.1.1.4.0 and later
Information in this document applies to any platform.

Symptoms

After upgrading from 11.1.1.3.0 to 11.1.1.4.0 using <Patch 11060960>: FMW 11G PS3 (11.1.1.4) For SOA, you may encounter the following error when attempting to login to the worklist app:

Error

An internal error has occurred. Please contact the administrator or Oracle support for help.


You may observe the following in your respective diagnostic log located in your domain directory:

<FMW-HOME>/user_projects/domains/<your-domain>/servers/<your-server>/logs/<your-server>-diagnostic.log

[2011-02-15T11:47:41.437-05:00] [wls_soa1] [ERROR] [OWS-04115] [oracle.webservices.service] [tid: [ACTIVE].ExecuteThread: '3' for queue: 'weblogic.kernel.Default (self-tuning)'] [userId: <anonymous>] [ecid: 1e3546d07c7787f1:-27658edf:12e2a299170:-8000-000000000000147a,0:1] [APP: soa-infra] An error occurred for port: {http://xmlns.oracle.com/bpel/services/IdentityService}IdentityServicePort: oracle.fabric.common.PolicyEnforcementException: PolicySet Invalid: WSM-06102 PolicyReference The policy referenced by URI "oracle/no_authentication_service_policy" could not be retrieved. .


Note:  This also applies to WebCenter configured with SES as the search connection. Proxy logins via the Federated Trust Entity will fail and present the no_authentication_service_policy error. Upgrading the WSM repository fixes that issue as well.

Changes

Upgrading from 11.1.1.3.0 to 11.1.1.4.0.  Patch 11060960: FMW 11G PS3 (11.1.1.4) For SOA

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms